package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/ledger/ledger_models"
)

// AccountingRulesetItemActivityWrapper wraps the object with workflow params
type AccountingRulesetItemActivityWrapper struct {
	Obj      ledger_models.AccountingRulesetItem
	APIKey   string
	SagaID   string
	SagaType string
}

// AccountingRulesetItem is a first class object type
type AccountingRulesetItem struct {
	ID                  string
	AccountingRuleCode  string
	AccountingRulesetID string
	CreatedByID         string
	CreatedDate         sql.NullTime
	LastModifiedByID    string
	LastModifiedDate    sql.NullTime
	TenantID            string
}
