package app

import "code.tnxs.net/taxnexus/lib/api/geo/geo_models"

// DomainActivityWrapper wraps the object with workflow params
type DomainActivityWrapper struct {
	Obj      geo_models.Domain
	APIKey   string
	SagaID   string
	SagaType string
}

// Domain is a first class object type
type Domain struct {
	ID          string `json:"id,omitempty"`
	Active      bool   `json:"active,omitempty"`
	Description string `json:"description,omitempty"`
	Name        string `json:"name,omitempty"`
}
