package app

import (
	"database/sql"
)

// FolderActivityWrapper wraps the object with workflow params
type FolderActivityWrapper struct {
	//	Obj       workflow_models.Folder
	APIKey   string
	SagaID   string
	SagaType string
}

// Folder is a first class object type
type Folder struct {
	AccessType            string
	ChildRecordID         string
	ContentOfFolderID     string
	ContentSize           int
	CreatedByID           string
	CreatedDate           sql.NullTime
	DeveloperName         string
	EnableFolderStatus    string
	FileExtension         string
	FileType              string
	ID                    string
	IsFolder              bool
	IsReadonly            bool
	LastModifiedByID      string
	LastModifiedDate      sql.NullTime
	Name                  string
	NamespacePrefix       string
	ParentContentFolderID string
	ParentEntityID        string
	ParentID              string
	Title                 string
	Type                  string
}
