package app

import "code.tnxs.net/taxnexus/lib/api/workflow/workflow_models"

// UnMarshalSwaggerOutgoingEmailMessage decodes swagger to first class object
func UnMarshalSwaggerOutgoingEmailMessage(s *workflow_models.OutgoingEmailMessage) *OutgoingEmailMessage {
	return &OutgoingEmailMessage{
		ID:                   s.ID,
		BCCAddress:           s.BCCAddress,
		CCAddress:            s.CCAddress,
		EmailTemplateID:      s.EmailTemplateID,
		ExternalID:           s.ExternalID,
		HTML:                 []byte(s.HTML),
		EmailMessageID:       s.EmailMessageID,
		FromContactID:        s.FromContactID,
		FromName:             s.FromName,
		Subject:              s.Subject,
		Text:                 s.Text,
		ToAddress:            s.ToAddress,
		ValidatedFromAddress: s.ValidatedFromAddress,
		WhoID:                s.WhoID,
	}
}
