package app

import "code.tnxs.net/taxnexus/lib/api/workflow/workflow_models"

// OutgoingEmailMessageActivityWrapper wraps the object with workflow params
type OutgoingEmailMessageActivityWrapper struct {
	Obj      workflow_models.OutgoingEmailMessage
	APIKey   string
	SagaID   string
	SagaType string
}

// OutgoingEmailMessage is a first class object type
type OutgoingEmailMessage struct {
	ID                   string
	BCCAddress           string
	CCAddress            string
	EmailTemplateID      string
	ExternalID           string
	HTML                 []byte
	EmailMessageID       string
	FromContactID        string
	FromName             string
	Subject              string
	Text                 string
	ToAddress            string
	ToName               string
	ValidatedFromAddress string
	WhoID                string
}

// OutgoingEmailRelation is a first class object type
type OutgoingEmailRelation struct {
	ID              string
	ExternalID      string
	OutgoingEmailID string
	RelationID      string
	RelationAddress string
}
