package app

import "code.tnxs.net/taxnexus/lib/api/workflow/workflow_models"

// MarshalToSwagger encodes first class object
func (obj *OutgoingEmailMessageReceipt) MarshalToSwagger() *workflow_models.EmailMessage {
	return &workflow_models.EmailMessage{
		ID:                   obj.ID,
		EmailMessageID:       obj.EmailMessageID,
		Status:               obj.Status,
		Subject:              obj.Subject,
		ToAddress:            obj.ToAddress,
		ValidatedFromAddress: obj.ValidatedFromAddress,
	}
}
