package app

import "code.tnxs.net/taxnexus/lib/api/geo/geo_models"

// TaxRateActivityWrapper wraps the object with workflow params
type TaxRateActivityWrapper struct {
	Obj      geo_models.TaxRate
	APIKey   string
	SagaID   string
	SagaType string
}

// TaxRate is a principal object type
type TaxRate struct {
	CombinedRate float64
	County       string
	CountyID     string
	CountyRate   float64
	Date         string
	Focus        string
	Geocode      string
	JournalDate  string
	Place        string
	PlaceID      string
	PlaceRate    float64
	State        string
	StateID      string
	StateRate    float64
}
