package app

import "code.tnxs.net/taxnexus/lib/api/ops/ops_models"

// TotalActivityWrapper wraps the object with workflow params
type TotalActivityWrapper struct {
	Obj      ops_models.Total
	APIKey   string
	SagaID   string
	SagaType string
}

// Total is a DB object
type Total struct {
	ID               string
	TotalItems       map[string]*TotalItem
	Amount           float64
	BusinessTax      float64
	BusinessTaxRate  float64
	CannabisTax      float64
	CannabisTaxRate  float64
	MonthlyAmount    float64
	ObjectType       string
	PurchaseAmount   float64
	SalesTax         float64
	SalesTaxRate     float64
	ShippingHandling float64
	Subtotal         float64
	TelecomTax       float64
	TelecomTaxRate   float64
	TenantID         string
}
