package app

// UserAuth is a first class object type
type UserAuth struct {
	AccountID string
	APIKey    string
	ContactID string
	Email     string
	Roles     []string
	Tenants   []string
	UserID    string
}

// NewAuth0User is a first class object type
type NewAuth0User struct {
	Blocked       bool   `json:"blocked,omitempty"`
	Connection    string `json:"connection,omitempty"`
	Email         string `json:"email,omitempty"`
	EmailVerified bool   `json:"email_verified,omitempty"`
	FamilyName    string `json:"family_name,omitempty"`
	GivenName     string `json:"given_name,omitempty"`
	Name          string `json:"name,omitempty"`
	Nickname      string `json:"nickname,omitempty"`
	Password      string `json:"password,omitempty"`
	PhoneNumber   string `json:"phone_number,omitempty"`
	PhoneVerified bool   `json:"phone_verified,omitempty"`
	Picture       string `json:"picture,omitempty"`
	UserID        string `json:"user_id,omitempty"`
	Username      string `json:"username,omitempty"`
	VerifyEmail   bool   `json:"verify_email,omitempty"`
}
