package app

import "database/sql"

// Authority is a first class object type
type Authority struct {
	ID               string
	AccountID        string
	AddressLine1     string
	AddressLine2     string
	BTN              string
	City             string
	ContactID        string
	Country          string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Date             sql.NullTime
	DateApproved     sql.NullTime
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	LosingCarrier    string
	Name             string
	NameLine1        string
	NameLine2        string
	OpportunityID    string
	OrderID          string
	ParentFK         string
	PostalCode       string
	QuoteID          string
	Ref              string
	State            string
	Status           string
	TemplateID       string
	TransferDate     sql.NullTime
	Type             string
	TenantID         string
}
