package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/ops/ops_models"
)

// EftItemActivityWrapper wraps the object with workflow params
type EftItemActivityWrapper struct {
	Obj      ops_models.EftItem
	APIKey   string
	SagaID   string
	SagaType string
}

// EftItem is a first class object type
type EftItem struct {
	ID               string
	Amount           float64
	CreatedByID      string
	CreatedDate      sql.NullTime
	EftID            string
	InvoiceID        string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	TenantID         string
}
