package app

import (
	"database/sql"
)

// EmailTemplateActivityWrapper wraps the object with workflow params
type EmailTemplateActivityWrapper struct {
	//	Obj       workflow_models.EmailTemplate
	APIKey   string
	SagaID   string
	SagaType string
}

// EmailTemplate is a first class object type
type EmailTemplate struct {
	ID                string
	APIVersion        string
	Body              []byte
	BrandTemplateID   string
	CreatedByID       string
	CreatedDate       sql.NullTime
	Description       string
	DeveloperName     string
	Encoding          string
	FolderID          string
	HTMLValue         []byte
	IsActive          bool
	LastModifiedByID  string
	LastModifiedDate  sql.NullTime
	LastUsedDate      sql.NullTime
	Markup            []byte
	Name              string
	NamespacePrefix   string
	OwnerID           string
	RelatedEntityType string
	Subject           string
	TemplateStyle     string
	TemplateType      string
	TimesUsed         int
	UIType            string
}
