package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
)

// FilingTypeInstanceActivityWrapper wraps the object with workflow params
type FilingTypeInstanceActivityWrapper struct {
	Obj      regs_models.FilingTypeInstance
	APIKey   string
	SagaID   string
	SagaType string
}

// FilingTypeInstance is a first class object type
type FilingTypeInstance struct {
	ID               string
	CountryID        string
	CountyID         string
	CreatedByID      string
	CreatedDate      sql.NullTime
	FilingTypeID     string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	ObjectType       string
	PlaceID          string
	StateID          string
}
