package app

// OutgoingEmailMessageReceiptActivityWrapper wraps the object with workflow params
type OutgoingEmailMessageReceiptActivityWrapper struct {
	// Obj       workflow_models.OutgoingEmailMessageReceipt
	APIKey   string
	SagaID   string
	SagaType string
}

// OutgoingEmailMessageReceipt is a first class object type
type OutgoingEmailMessageReceipt struct {
	ID                   string
	Body                 string
	EmailMessageID       string
	Headers              map[string]string
	Status               string
	StatusCode           int64
	Subject              string
	ToAddress            string
	ValidatedFromAddress string
}
