package app

import "database/sql"

// PDFActivityWrapper wraps the object with workflow params
type PDFActivityWrapper struct {
	//	Obj       stash_models.Pdf
	APIKey   string
	SagaID   string
	SagaType string
}

// PDF is a first class object type
type PDF struct {
	ID               string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Description      string
	Filename         string
	HTML             []byte
	LastAccessedByID string
	LastAccessedDate sql.NullTime
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	ObjectType       string
	OwnerID          string
	ParentID         string
	PDF              []byte
	Ref              string
	Title            string
	URI              string
}
