package app

import (
	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
	"github.com/go-sql-driver/mysql"
)

// RatingEngineItemActivityWrapper wraps the object with workflow params
type RatingEngineItemActivityWrapper struct {
	Obj      regs_models.RatingEngineItem
	APIKey   string
	SagaID   string
	SagaType string
}

// RatingEngineItem is a first class object type
type RatingEngineItem struct {
	Createdbyid  string
	Createddate  mysql.NullTime
	ID           string
	Name         string
	Productcode  string
	Ratingengine string
	Ref          string
	Taxnexuscode string
}
