package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/devops/devops_models"
)

// RoleActivityWrapper wraps the object with workflow params
type RoleActivityWrapper struct {
	Obj      devops_models.Role
	APIKey   string
	SagaID   string
	SagaType string
}

// Role is a first class object type
type Role struct {
	ID               string
	Auth0RoleID      string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Description      string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	RoleName         string
	TenantID         string
}
