package app

import (
	"database/sql"
)

// TaskRelationActivityWrapper wraps the object with workflow params
type TaskRelationActivityWrapper struct {
	//	Obj       workflow_models.TaskRelation
	APIKey   string
	SagaID   string
	SagaType string
}

// TaskRelation is a first class object type
type TaskRelation struct {
	AccountID        string
	CreatedByID      string
	CreatedDate      sql.NullTime
	ID               string
	IsWhat           bool
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	RelationID       string
	TaskID           string
}
