package app

import (
	"database/sql"
)

// TaskWhoRelationActivityWrapper wraps the object with workflow params
type TaskWhoRelationActivityWrapper struct {
	//	Obj       workflow_models.TaskWhoRelation
	APIKey   string
	SagaID   string
	SagaType string
}

// TaskWhoRelation is a first class object type
type TaskWhoRelation struct {
	AccountID        string
	CreatedByID      string
	CreatedDate      sql.NullTime
	ID               string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	RelationID       string
	TaskID           string
	Type             string
}
