package app

import "code.tnxs.net/taxnexus/lib/api/ops/ops_models"

// TotalItemActivityWrapper wraps the object with workflow params
type TotalItemActivityWrapper struct {
	Obj      ops_models.TotalItem
	APIKey   string
	SagaID   string
	SagaType string
}

// TotalItem is a DB struct
type TotalItem struct {
	ID            string
	TotalTaxItems []*TotalTaxItem
	DisplayName   string
	Amount        float64
	Count         int64
	TenantID      string
}
